List notifications
GET
/v1/notificationscurl -X GET 'https://api.embodiflow.io/v1/notifications' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- unreadOnlyboolean
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<UserNotificationItemDto>必填
- idstring (uuid)必填
- eventIdstring (uuid)必填
- eventTypestring必填
- resourceTypestring必填
- resourceIdstring (uuid)必填
- projectIdstring (uuid) | null必填
- occurredAtstring必填
- readboolean必填
- truncatedboolean必填
- hrefstring | null必填
- resourceLabelstring | null
- projectNamestring | null
- resourceStatusstring | null
- versionNumbernumber
Dataset version number for `version` and `export` notifications.
- exportFormatstring
Export format slug for `export` notifications.
- countnumber必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
响应示例
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"eventId": "00000000-0000-0000-0000-000000000000",
"eventType": "string",
"resourceType": "string",
"resourceId": "00000000-0000-0000-0000-000000000000",
"projectId": "00000000-0000-0000-0000-000000000000",
"occurredAt": "string",
"read": true,
"truncated": true,
"href": "string",
"resourceLabel": "string",
"projectName": "string",
"resourceStatus": "string",
"versionNumber": 0,
"exportFormat": "string",
"count": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1